package cn.com.ty.lift.enterprise.oa.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 打卡签到记录
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Attendance implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;

    /**
     * 公司ID
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 用户ID
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 经纬度
     */
    @TableField("coordinate")
    private String coordinate;

    /**
     * 备注
     */
    @TableField("remarks")
    private String remarks;

    /**
     * 地址
     */
    @TableField("address")
    private String address;

    /**
     * 创建日期
     */
    @TableField("create_date")
    private LocalDateTime createDate;

    /**
     * 状态（是否迟到早退，0：否，1：是）
     */
    @TableField("status")
    private Integer status;

    /**
     * 类型（上班打卡+’:’+第n次，下班打卡+’:’+第n次，1：上班打卡，2：下班打卡）
     */
    @TableField("type")
    private Integer type;


}
