package cn.com.ty.lift.system.user.controller;

import cn.com.ty.lift.system.user.dao.entity.model.MtCompanyRequest;
import cn.com.ty.lift.system.user.service.IMtCompanyUserService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author huangyuan
 * @date 2019-12-04
 * @description 企业设置
 */
@RestController
@RequestMapping("/company")
public class MtCompanyController {

    @Autowired
    private IMtCompanyUserService mtCompanyUserService;

    /**
     * @description 企业分配角色
     * @date 2019/11/27 10:03 AM
     * @param mtCompanyRequest userId:用户id, companyId:公司id, job:职业, roleId:角色id
     * @return
     */
    @RequestMapping("/assignRole")
    public RestResponse assignRole(@RequestBody MtCompanyRequest mtCompanyRequest) {
        return mtCompanyUserService.assignRole(mtCompanyRequest);
    }

    /**
     * @description 获取团队成员信息
     * @date 2019/11/27 10:03 AM
     * @param mtCompanyRequest 公司id
     * @return
     */
    @RequestMapping("/getCompanyMembers")
    public RestResponse getCompanyUser(@RequestBody MtCompanyRequest mtCompanyRequest){
        return mtCompanyUserService.getCompanyMembers(mtCompanyRequest);
    }
}
